import { a as Metric, T as TestInfo, M as MetricResult } from '../types-m9RryK9a.cjs';
import { A as Agent } from '../base-BS0nIEFJ.cjs';
import 'ai';
import '../base-ObPJ-w8K.cjs';
import '@opentelemetry/api';
import '../index-CquI0inB.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'zod';
import 'json-schema';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../tts/index.cjs';
import 'xstate';
import 'node:events';

declare function evaluate<T extends Agent>({ agentName, input, metric, output, runId, globalRunId, testInfo, instructions, }: {
    agentName: string;
    input: Parameters<T['generate']>[0];
    metric: Metric;
    output: string;
    globalRunId: string;
    runId?: string;
    testInfo?: TestInfo;
    instructions: string;
}): Promise<MetricResult>;

export { Metric, MetricResult, TestInfo, evaluate };
